> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar pedidos



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /pedidos
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /pedidos:
    get:
      tags:
        - Pedidos
      summary: Listar pedidos
      operationId: ListarPedidosAction
      parameters:
        - $ref: '#/components/parameters/numeroPedido'
        - $ref: '#/components/parameters/nomeClientePedido'
        - $ref: '#/components/parameters/codigoClientePedido'
        - $ref: '#/components/parameters/cpfCnpjClientePedido'
        - $ref: '#/components/parameters/dataInicialPedido'
        - $ref: '#/components/parameters/dataFinalPedido'
        - $ref: '#/components/parameters/dataAtualizacaoPedido'
        - $ref: '#/components/parameters/situacaoPedido'
        - $ref: '#/components/parameters/numeroPedidoEcommercePedido'
        - $ref: '#/components/parameters/idVendedorPedido'
        - $ref: '#/components/parameters/marcadoresPedido'
        - $ref: '#/components/parameters/origemPedido'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_pedidos_limit'
        - $ref: '#/components/parameters/get_pedidos_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: '#/components/schemas/ListagemPedidoModelResponse'
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    numeroPedido:
      name: numero
      in: query
      description: Pesquisa por número do pedido
      required: false
      schema:
        type: integer
    nomeClientePedido:
      name: nomeCliente
      in: query
      description: Pesquisa por nome do cliente
      required: false
      schema:
        type: string
    codigoClientePedido:
      name: codigoCliente
      in: query
      description: Pesquisa por código do cliente
      required: false
      schema:
        type: string
    cpfCnpjClientePedido:
      name: cpfCnpj
      in: query
      description: Pesquisa por CPF/CNPJ do cliente
      required: false
      schema:
        type: string
    dataInicialPedido:
      name: dataInicial
      in: query
      description: Pesquisa através da data de criação do pedido
      required: false
      schema:
        type: string
    dataFinalPedido:
      name: dataFinal
      in: query
      description: Pesquisa através da data de criação do pedido
      required: false
      schema:
        type: string
    dataAtualizacaoPedido:
      name: dataAtualizacao
      in: query
      description: Pesquisa através da data de atualização do pedido
      required: false
      schema:
        type: string
    situacaoPedido:
      name: situacao
      in: query
      description: |-
        Pesquisa com base na situação informada
        - 8 - Dados Incompletos
        - 0 - Aberta
        - 3 - Aprovada
        - 4 - Preparando Envio
        - 1 - Faturada
        - 7 - Pronto Envio
        - 5 - Enviada
        - 6 - Entregue
        - 2 - Cancelada
        - 9 - Nao Entregue
      required: false
      schema:
        enum:
          - 8
          - 0
          - 3
          - 4
          - 1
          - 7
          - 5
          - 6
          - 2
          - 9
      x-enumDescriptions:
        - 8 - Dados Incompletos
        - 0 - Aberta
        - 3 - Aprovada
        - 4 - Preparando Envio
        - 1 - Faturada
        - 7 - Pronto Envio
        - 5 - Enviada
        - 6 - Entregue
        - 2 - Cancelada
        - 9 - Nao Entregue
    numeroPedidoEcommercePedido:
      name: numeroPedidoEcommerce
      in: query
      description: Pesquisa por número do pedido no e-commerce
      required: false
      schema:
        type: string
    idVendedorPedido:
      name: idVendedor
      in: query
      description: Pesquisa por id do vendedor
      required: false
      schema:
        type: integer
    marcadoresPedido:
      name: marcadores
      in: query
      description: Pesquisa por marcadores
      required: false
      schema:
        type: array
        items:
          type: string
    origemPedido:
      name: origemPedido
      in: query
      description: Pesquise através da origem do pedido (0 = Pedido de Venda, 1 = PDV)
      required: false
      schema:
        type: integer
        enum:
          - 0
          - 1
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_pedidos_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_pedidos_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemPedidoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            situacao:
              type: integer
              nullable: true
            numeroPedido:
              type: integer
              nullable: true
            ecommerce:
              $ref: '#/components/schemas/EcommerceResponseModel'
            dataCriacao:
              type: string
              nullable: true
            dataPrevista:
              type: string
              nullable: true
            cliente:
              $ref: '#/components/schemas/PedidoClienteModel'
            valor:
              type: string
              nullable: true
            vendedor:
              $ref: '#/components/schemas/VendedorResponseModel'
            transportador:
              $ref: '#/components/schemas/TransportadorResponseModel'
            origemPedido:
              description: |-

                - 0 - Pedido Venda
                - 1 - Pdv
              type: integer
              enum:
                - 0
                - 1
              nullable: true
              x-enumDescriptions:
                - 0 - Pedido Venda
                - 1 - Pdv
          type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    EcommerceResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
            numeroPedidoEcommerce:
              type: string
              nullable: true
            numeroPedidoCanalVenda:
              type: string
              nullable: true
            canalVenda:
              type: string
              nullable: true
          type: object
    PedidoClienteModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    VendedorResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    TransportadorResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
            fretePorConta:
              description: |-

                - R - Remetente
                - D - Destinatario
                - T - Terceiros
                - 3 - Proprio Remetente
                - 4 - Proprio Destinatario
                - S - Sem Transporte
              type: string
              enum:
                - R
                - D
                - T
                - '3'
                - '4'
                - S
              nullable: true
              x-enumDescriptions:
                - R - Remetente
                - D - Destinatario
                - T - Terceiros
                - 3 - Proprio Remetente
                - 4 - Proprio Destinatario
                - S - Sem Transporte
            formaEnvio:
              $ref: '#/components/schemas/FormaEnvioResponseModel'
            formaFrete:
              $ref: '#/components/schemas/FormaFreteResponseModel'
            codigoRastreamento:
              type: string
              nullable: true
            urlRastreamento:
              type: string
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    FormaEnvioResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
          type: object
    FormaFreteResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            nome:
              type: string
              nullable: true
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````